<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_parttime.mvvm.PartJobDetailChildViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_parttime.ui.PartJobDetailFragment.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_15dp"
        android:layout_marginTop="@dimen/d_10dp"
        android:layout_marginRight="@dimen/d_15dp"
        android:background="@drawable/shape_white_round5"
        android:orientation="vertical">

        <com.guadou.lib_baselib.font_text_view.TextViewMedium
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_20dp"
            android:drawableLeft="@drawable/part_detail_job_date_icon"
            android:drawablePadding="@dimen/d_9dp"
            android:text="工作日期"
            android:textColor="@color/gray_66"
            android:textSize="@dimen/d_14sp" />


        <com.guadou.lib_baselib.font_text_view.TextViewMedium
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_40dp"
            android:layout_marginTop="@dimen/d_9dp"
            android:text="2022.1.10 06:00~23:00"
            android:textColor="@color/black_33"
            android:textSize="@dimen/d_14sp" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_17dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:layout_marginBottom="@dimen/d_20dp">

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_address_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_15dp"
                android:drawableLeft="@drawable/part_detail_job_address_icon"
                android:drawablePadding="@dimen/d_9dp"
                android:text="工作地点"
                android:textColor="@color/gray_66"
                android:textSize="@dimen/d_14sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_address"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_40dp"
                android:layout_marginTop="@dimen/d_9dp"
                android:layout_marginRight="@dimen/d_8dp"
                android:text="湖北省武汉市东西湖区武汉客厅"
                android:textColor="@color/black_33"
                android:textSize="@dimen/d_14sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/tv_direction"
                app:layout_constraintTop_toBottomOf="@id/tv_address_text" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_direction"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_blue_round5"
                android:drawableLeft="@drawable/part_detail_job_direction_icon"
                android:drawablePadding="6dp"
                android:paddingLeft="@dimen/d_10dp"
                android:paddingTop="@dimen/d_8dp"
                android:paddingRight="@dimen/d_10dp"
                android:paddingBottom="@dimen/d_8dp"
                android:text="导航"
                android:textColor="@color/white"
                android:textSize="@dimen/d_14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                binding:clicks="@{click.doDirection}" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

</layout>